Bug 1231763 - [abrt] upower: g_try_malloc(): upowerd killed by SIGSEGV
Summary: [abrt] upower: g_try_malloc(): upowerd killed by SIGSEGV
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: upower
Version: 22
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c8ecaa17ae3ad040c9aed8a82ff...
Keywords:
: 1231768 1231770 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-15 11:30 UTC by Christian Kirbach
Modified: 2016-07-19 14:50 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-07-19 14:50:40 UTC


Attachments (Terms of Use)
File: backtrace (44.76 KB, text/plain)
2015-06-15 11:30 UTC, Christian Kirbach
no flags Details
File: cgroup (192 bytes, text/plain)
2015-06-15 11:30 UTC, Christian Kirbach
no flags Details
File: core_backtrace (5.84 KB, text/plain)
2015-06-15 11:30 UTC, Christian Kirbach
no flags Details
File: dso_list (4.70 KB, text/plain)
2015-06-15 11:30 UTC, Christian Kirbach
no flags Details
File: environ (72 bytes, text/plain)
2015-06-15 11:30 UTC, Christian Kirbach
no flags Details
File: limits (1.29 KB, text/plain)
2015-06-15 11:30 UTC, Christian Kirbach
no flags Details
File: maps (21.90 KB, text/plain)
2015-06-15 11:30 UTC, Christian Kirbach
no flags Details
File: mountinfo (3.21 KB, text/plain)
2015-06-15 11:30 UTC, Christian Kirbach
no flags Details
File: namespaces (85 bytes, text/plain)
2015-06-15 11:30 UTC, Christian Kirbach
no flags Details
File: open_fds (806 bytes, text/plain)
2015-06-15 11:30 UTC, Christian Kirbach
no flags Details
File: proc_pid_status (920 bytes, text/plain)
2015-06-15 11:30 UTC, Christian Kirbach
no flags Details
File: var_log_messages (27.51 KB, text/plain)
2015-06-15 11:30 UTC, Christian Kirbach
no flags Details
systemd journal (21.28 KB, text/plain)
2015-06-15 11:34 UTC, Christian Kirbach
no flags Details

Description Christian Kirbach 2015-06-15 11:30:37 UTC
Description of problem:
Plugging in an iPhone 5S via USB triggers this crash reliably, and the crash keeps repeating infinitely.

The issue started about 2 weeks ago. Before that I had no problems with it on Fedora 22.
I am running an up-to-date system.

I never told the phone to trust the computer and open its services to the computer.
GNOME never shows the message that a phone was connected.

Version-Release number of selected component:
upower-0.99.3-1.fc22

Additional info:
reporter:       libreport-2.5.1
backtrace_rating: 4
cmdline:        /usr/libexec/upowerd
crash_function: g_try_malloc
executable:     /usr/libexec/upowerd
global_pid:     4263
kernel:         4.0.4-303.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (8 frames)
 #3 g_try_malloc at gmem.c:244
 #4 get_contents_regfile at gfileutils.c:784
 #5 get_contents_posix at gfileutils.c:886
 #6 g_file_get_contents at gfileutils.c:987
 #7 sysfs_get_bool at sysfs-utils.c:127
 #8 up_device_supply_refresh_battery at up-device-supply.c:523
 #9 up_device_supply_refresh at up-device-supply.c:1128
 #10 up_device_supply_poll_unknown_battery at up-device-supply.c:912

Comment 1 Christian Kirbach 2015-06-15 11:30:40 UTC
Created attachment 1038900 [details]
File: backtrace

Comment 2 Christian Kirbach 2015-06-15 11:30:41 UTC
Created attachment 1038901 [details]
File: cgroup

Comment 3 Christian Kirbach 2015-06-15 11:30:42 UTC
Created attachment 1038902 [details]
File: core_backtrace

Comment 4 Christian Kirbach 2015-06-15 11:30:43 UTC
Created attachment 1038903 [details]
File: dso_list

Comment 5 Christian Kirbach 2015-06-15 11:30:44 UTC
Created attachment 1038904 [details]
File: environ

Comment 6 Christian Kirbach 2015-06-15 11:30:45 UTC
Created attachment 1038905 [details]
File: limits

Comment 7 Christian Kirbach 2015-06-15 11:30:47 UTC
Created attachment 1038906 [details]
File: maps

Comment 8 Christian Kirbach 2015-06-15 11:30:48 UTC
Created attachment 1038907 [details]
File: mountinfo

Comment 9 Christian Kirbach 2015-06-15 11:30:49 UTC
Created attachment 1038908 [details]
File: namespaces

Comment 10 Christian Kirbach 2015-06-15 11:30:50 UTC
Created attachment 1038909 [details]
File: open_fds

Comment 11 Christian Kirbach 2015-06-15 11:30:51 UTC
Created attachment 1038910 [details]
File: proc_pid_status

Comment 12 Christian Kirbach 2015-06-15 11:30:52 UTC
Created attachment 1038911 [details]
File: var_log_messages

Comment 13 Christian Kirbach 2015-06-15 11:34:05 UTC
Created attachment 1038913 [details]
systemd journal

Comment 14 Bastien Nocera 2015-06-26 09:45:20 UTC
*** Bug 1231768 has been marked as a duplicate of this bug. ***

Comment 15 Bastien Nocera 2015-06-26 09:45:30 UTC
*** Bug 1231770 has been marked as a duplicate of this bug. ***

Comment 16 Bastien Nocera 2015-06-26 09:56:56 UTC
Looks like a memory corruption problem, hard to detect without being able to reproduce the problem.

Christian, do those problems usually happen when you plug in an iPad or iPhone into your computer?

Comment 17 Christian Kirbach 2015-06-29 07:06:14 UTC
Hello Bastien,

yes, Plugging in an iPhone 5S via USB cable triggers this crash reliably for me, and the crash keeps repeating infinitely while the phone is connected. Just plugging in is sufficient, no other action like choosing "trust this device" on the phone is neccessary.

Comment 18 Fedora End Of Life 2016-07-19 14:50:40 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.